local animationTime = 0.9; -- was 1.8 in moonlight public betas, dubaiOne.
local fadeTime      = 0.2; -- was 0.4 in moonlight public betas, dubaiOne.

local t = Def.ActorFrame{
	-- the logo
	Def.ActorFrame{
		Name="LogoFrame";
		InitCommand=cmd(x,SCREEN_LEFT+220;y,SCREEN_CENTER_Y-35;horizalign,left);

		--[[
		LoadActor(THEME:GetPathG("","_common/moon"))..{
			Name="Moon3D";
			InitCommand=cmd(diffusealpha,0;zoom,0.525;x,-128;glow,color("0.8,0.95,1,0.625");spin;);
			OnCommand=cmd(effectmagnitude,0,15,0;queuecommand,"Anim");
			AnimCommand=cmd(decelerate,animationTime;diffusealpha,1);
		};
		--]]
		LoadActor("_moon")..{
			Name="Moon2D";
			--InitCommand=cmd(diffusealpha,0;zoom,0.65;x,-128;blend,Blend.Modulate);
			InitCommand=cmd(diffusealpha,0;zoom,0.65;x,-128;);
			OnCommand=cmd(queuecommand,"Anim");
			AnimCommand=cmd(decelerate,animationTime;diffusealpha,1);
		};

		LoadActor("_ssc ball")..{
			Name="SSCBall";
			InitCommand=cmd(diffusealpha,1;zoom,0.65;x,-128);
			OnCommand=cmd(queuecommand,"Anim");
			AnimCommand=cmd(decelerate,animationTime*1.35;diffusealpha,0);
		};

		LoadActor( HDActor("ssc") )..{
			Name="SpinalSharkCollective";
			InitCommand=cmd(addy,-64;diffusealpha,0);
			OnCommand=cmd(queuecommand,"Anim");
			AnimCommand=cmd(decelerate,animationTime;diffusealpha,1;addy,64);
		};

		LoadActor( HDActor("moonlight") )..{
			Name="themelogo";
			InitCommand=cmd(diffusealpha,0;y,4);
			OnCommand=cmd(queuecommand,"Anim");
			AnimCommand=cmd(sleep,animationTime*0.95;linear,fadeTime;diffusealpha,1);
		};

		AutoText("frutiger")..{
			Name="FriendlyVersion";
			Text=themeInfo.FriendlyVersion;
			InitCommand=cmd(x,-144;y,64;zoom,0.525;diffusealpha,0;halign,0;shadowlength,1;shadowcolor,color("#FFFFFF88");strokecolor,color("0,0,0,0"));
			OnCommand=cmd(queuecommand,"Anim");
			AnimCommand=cmd(sleep,animationTime*0.95;linear,fadeTime;diffuse,color("0,0,0,1"));
		};
		AutoText("frutiger")..{
			Text="v"..themeInfo.Version .." (".. themeInfo.Date ..")";
			InitCommand=cmd(x,-144;y,44;zoom,0.525;diffusealpha,0;halign,0;shadowlength,1;shadowcolor,color("#FFFFFF88");strokecolor,color("0,0,0,0"));
			OnCommand=cmd(queuecommand,"Anim");
			AnimCommand=cmd(sleep,animationTime*0.95;linear,fadeTime;diffuse,color("0,0,0,1"));
		};
	};

	-- the quad
	Def.Quad{
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+20;zoomto,SCREEN_WIDTH,4;cropright,1;diffuse,color("#000000"));
		OnCommand=cmd(linear,0.675;cropright,0);
		OffCommand=cmd(accelerate,0.5;zoomy,0);
	};
};

return t;